%define plugin_name	resynthesizer
%define version 0.15
%define release %mkrel 5
%define name	gimp2-%plugin_name
%define req_gimp_version 2.0

Summary:	Gimp plug-in for texture synthesis	
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphics
URL:		http://www.logarithmic.net/pfh/resynthesizer
Buildroot:	%{_tmppath}/%{plugin_name}-%{version}-buildroot
Source:		http://www.logarithmic.net/pfh-files/resynthesizer/%{plugin_name}-%{version}.tar.bz2

BuildRequires:	libgimp-devel >= %{req_gimp_version}

Requires:	gimp2_0 >= %{req_gimp_version}

%description
Resynthesizer is a Gimp plug-in for texture synthesis.
Given a sample of a texture, it can create more of that texture.
This has a surprising number of uses:
    * Creating more of a texture
    * Removing objects from images
    * Creating themed images

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%make GIMPTOOL=gimptool-2.0

%install
rm -rf %{buildroot}
GIMPPLUGINPDIR=$RPM_BUILD_ROOT/`gimptool-2.0 --gimpplugindir`/plug-ins
GIMPSCRIPTDIR=$RPM_BUILD_ROOT/`gimptool-2.0 --gimpdatadir`/scripts
mkdir -p $GIMPPLUGINPDIR
mkdir -p $GIMPSCRIPTDIR
install -m 755 resynth $GIMPPLUGINPDIR
install -m 755 *scm $GIMPSCRIPTDIR

%clean
rm -rf %{buildroot}

%files 
%defattr(-, root, root)
%doc COPYING README
%{_libdir}/gimp/2.0/plug-ins/*
%{_datadir}/gimp/2.0/scripts/*




%changelog
* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.15-5mdv2010.0
+ Revision: 429205
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.15-4mdv2009.0
+ Revision: 246158
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.15-2mdv2008.1
+ Revision: 170861
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.15-1mdv2008.1
+ Revision: 140737
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Jan 17 2007 Erwan Velu <erwan@mandriva.org> 0.15-1mdv2007.0
+ Revision: 109916
- 0.15
- Import gimp2-resynthesizer

* Fri Jun 23 2006 Erwan Velu <erwan@seanodes.com> 0.14-2
- Rebuild

* Fri Mar 03 2006 Erwan Velu <erwan@seanodes.com> 0.14-1mdk
- Initial mandriva package

